/*
high priority:
ATTRIBUTES:
client-type
first-buffer
numeric-separator
numeric-decimal-point
numeric-format
parameter
remote
window-system
*/

ch = {&h}:client-type. /* KW_CLNT_TYP. */
h = {&h}:first-buffer. /* KW_FIRST_BU */
ch = {&h}:numeric-separator. /* KW_NUM_SEP */
ch = {&h}:numeric-decimal-point. /* KW_NUM_D_P */
/* KW_NUM_FMT */
ch = {&h}:numeric-format.
{&h}:numeric-format = "".
{&h}:numeric-format = ch.
ch = {&h}:parameter. /* KW_PARM */
message {&h}:remote. /* problem */
ch = {&h}:window-system. /* KW_WIN_SYS */

/*
METHODS:
get-wait-state
set-numeric-format
set-wait-state
*/
ch = {&h}:get-wait-state. /* KW_GET_WAIT */
/* KW_SET_N_F */
message {&h}:set-numeric-format("foo", "bar"). 
message {&h}:set-numeric-format("foo", ch). 
message {&h}:set-numeric-format(ch, "bar"). 
message {&h}:set-numeric-format(ch, ch). 
/* KW_SET_WAIT */
message {&h}:set-wait-state("foo").
message {&h}:set-wait-state(ch).


/*
progess.g parser errors:
message {&h}:current-request-info.
message {&h}:current-response-info.
message {&h}:error-stack-trace.
message {&h}:first-form.
message {&h}:first-object.
message {&h}:last-form.
message {&h}:last-object.
message {&h}:local-version-info.
message {&h}:server-connection-bound-req.
message {&h}:uest.
message {&h}:suppress-warnings-list.
message {&h}:timezone.
message {&h}:wc-admin-app.
*/

/*
methods_attributes.rules not supported:
message {&h}:appl-alert-boxes. /* KW_APPL_A_B. */
message {&h}:base-ade. /* KW_BASE_ADE. */
message {&h}:context-help-file. /* KW_CTX_H_F. */
message {&h}:cpcase. /* KW_CPCASE */
message {&h}:cpcoll. /* KW_CPCOLL */
message {&h}:cpinternal. /* KW_CPINTERN */
message {&h}:cplog. /* KW_CPLOG */
message {&h}:cpprint. /* KW_CPPRINT */
message {&h}:cprcodein. /* KW_CPRCODEI */
message {&h}:cprcodeout. /* KW_CPRCODEO */
message {&h}:cpstream. /* KW_CPSTREAM */
message {&h}:cpterm. /* KW_CPTERM */
message {&h}:data-entry-return. /* KW_DATA_E_R */
message {&h}:debug-alert. /* KW_DBG_ALRT */
message {&h}:display-timezone. /* KW_DISP_TZ */
message {&h}:execution-log. /* KW_EXEC_LOG */
message {&h}:first-dataset. /* KW_FIR_DSET */
message {&h}:first-data-source. /* KW_FIRST_DS */
message {&h}:first-query. /* KW_FIRST_QR */
message {&h}:first-server. /* KW_FIRST_SR */
message {&h}:first-server-socket. /* KW_FIRST_SS */
message {&h}:first-socket. /* KW_FIRST_SO */
message {&h}:frame-spacing. /* KW_FR_SPACE */
message {&h}:icfparameter. /* KW_ICFPARM */
message {&h}:immediate-display. /* KW_IMM_DISP */
message {&h}:inherit-bgcolor. /* KW_INH_BGC */
message {&h}:inherit-fgcolor. /* KW_INH_FGC */
message {&h}:instantiating-procedure. /* KW_INST_PRC */
message {&h}:last-server. /* KW_LAST_SRV */
message {&h}:last-server-socket. /* KW_LAST_SS */
message {&h}:last-socket. /* KW_LAST_SOC */
message {&h}:multitasking-interval. /* KW_MULTI_IN */
message {&h}:pixels-per-column. /* KW_PIX_COL */
message {&h}:pixels-per-row. /* KW_PIX_ROW */
message {&h}:printer-control-handle. /* KW_PRT_C_H */
message {&h}:printer-hdc. /* KW_PRT_HDC */
message {&h}:printer-name. /* KW_PRT_NAME */
message {&h}:printer-port. /* KW_PRT_PORT */
message {&h}:proxy-password. /* KW_PROX_PWD */
message {&h}:proxy-userid. /* KW_PROX_UID */
message {&h}:schema-change. /* KW_SCH_CHG */
message {&h}:server-connection-bound. /* KW_SRV_C_B */
message {&h}:server-connection-context. /* KW_SRV_C_C */
message {&h}:server-connection-id. /* KW_SRV_C_I */
message {&h}:server-operating-mode. /* KW_SRV_OP_M */
message {&h}:startup-parameters. /* KW_STUP_PAR */
message {&h}:stream. /* KW_STREAM */
message {&h}:suppress-warnings. /* KW_SUP_WARN */
message {&h}:system-alert-boxes. /* KW_SYS_A_B */
message {&h}:tooltips. /* KW_TOOLTIPS */
message {&h}:v6display. /* KW_V6DISP */
message {&h}:work-area-height-pixels. /* KW_WA_H_P */
message {&h}:work-area-width-pixels. /* KW_WA_W_P */
message {&h}:work-area-x. /* KW_WA_X */
message {&h}:work-area-y. /* KW_WA_Y */

methods:
message {&h}:export. /* KW_EXPORT */
message {&h}:get-printers. /* KW_GET_PRT */
*/

message {&h}:batch-mode.
message {&h}:charset.
message {&h}:date-format.
message {&h}:display-type.
message {&h}:first-child. /* problem */
message {&h}:first-procedure.
message {&h}:handle. /* problem */
message {&h}:height-chars.
message {&h}:height-pixels.
message {&h}:last-child. /* problem */
message {&h}:last-procedure.
message {&h}:next-sibling. /* problem */
message {&h}:super-procedures.
message {&h}:three-d. /* problem */
message {&h}:time-source.
message {&h}:type.
message {&h}:width-chars.
message {&h}:width-pixels.
message {&h}:year-offset.
message {&h}:temp-directory.

message {&h}:add-super-procedure(). 
message {&h}:remove-super-procedure().
